;==============================================================================
;技一覧
;==============================================================================
;200 = 立ち5弱
;210 = 立ち5中
;215 = 立ち5中派生
;217 = 立ち6中
;219 = 立ち4中
;230 = 立ち5強
;232 = 立ち6強
;400 = しゃがみ弱
;410 = しゃがみ中
;430 = しゃがみ強
;600 = ジャンプ弱
;610 = ジャンプ中
;620 = ジャンプ強
;625 = 悪いね弱
;626 = 悪いね中
;627 = 悪いね強
;800 = 地上投げ
;825 = 空中投げ
;1000 = 弱昇竜
;1010 = 中昇竜
;1020 = EX昇竜
;1500 = EX波動(空中限)
;1100 = 弱後波動
;1110 = 中後波動
;1120 = EX後波動
;1200 = 弱前波動
;1210 = 中前波動
;1220 = EX前波動
;1305 = 弱後昇竜
;1300 = 中後昇竜
;1330 = EX後昇竜
;1400 = 閃走・水月弱
;1410 = 閃走・水月中
;1420 = 閃走・水月強
;3000 = 迷獄沙門
;3200 = 五景崩落
;3500 = 走蹴六兎
;4000 = 迷獄沙門(強)
;4200 = 五景崩落(強)
;4495 = 蟷螂斬首
;980  = キャンセル落下
;2000 = 立ちシールドバンカー
;2050 = しゃがみシールドバンカー
;6500 = イニシアティブチャージ
;-----------------------------------------------------------------------------
;超必殺技


;---------------------------------------------------------------------------
;必殺技

[Command]
name = "sa_a"
command = ~B, DB, D, DF, F, a

[Command]
name = "saa_a"
command = ~F, DF, D, DB, B, a

[Command]
name = "sa_b"
command = ~B, DB, D, DF, F, b

[Command]
name = "saa_b"
command = ~F, DF, D, DB, B, b

[Command]
name = "sa_c"
command = ~B, DB, D, DF, F, c

[Command]
name = "saa_c"
command = ~F, DF, D, DB, B, c

[Command]
name = "upper_a"
command = ~F, D, DF, a

[Command]
name = "upper_b"
command = ~F, D, DF, b

[Command]
name = "upper_c"
command = ~F, D, DF, c

[Command]
name = "bupper_a"
command = ~B, D, DB, a

[Command]
name = "bupper_b"
command = ~B, D, DB, b

[Command]
name = "bupper_c"
command = ~B, D, DB, c

[Command]
name = "QCF_a"
command = ~D, DF, F, a

[Command]
name = "QCF_b"
command = ~D, DF, F, b

[Command]
name = "QCF_c"
command = ~D, DF, F, c

[Command]
name = "QCB_a"
command = ~D, DB, B, a

[Command]
name = "QCB_b"
command = ~D, DB, B, b

[Command]
name = "QCB_c"
command = ~D, DB, B, c

[Command]
name = "DD_a"
command = D, D, a

[Command]
name = "DD_b"
command = D, D, b

[Command]
name = "DD_c"
command = D, D, c

;------------------------------------------------------------------------------
;シールドバンカー
[Command]
name = "s_c"
command = D, DB, B, y
time = 10

;------------------------------------------------------------------------------
;キー２回連続入力

[Command]
name = "FF"       ;必須コマンド名
command = F, F
time = 10

[Command]
name = "BB"       ;必須コマンド名
command = B, B
time = 10

[Command]
name = "DD"       ;必須コマンド名
command = D, D
time = 10

;------------------------------------------------------------------------------

[Command]
name = "recovery"
command = a
time = 1

[Command]
name = "recovery"
command = b
time = 1

[Command]
name = "recovery"
command = c
time = 1

[Command]
name = "recovery"
command = x
time = 1

[Command]
name = "recovery"
command = y
time = 1

[Command]
name = "recovery"
command = z
time = 1


;------------------------------------------------------------------------------
;ハイジャンプ

[Command]
name = "high"
command = ~U
time = 10

[Command]
name = "high"
command = ~UF
time = 10

[Command]
name = "high"
command = ~UB
time = 10

;------------------------------------------------------------------------------
;方向キー＋ボタン

[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;------------------------------------------------------------------------------
;ボタン単発

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;------------------------------------------------------------------------------
;方向キー

[Command]
name = "holdfwd"   ;必須コマンド名
command = /$F
time = 1

[Command]
name = "holdback"  ;必須コマンド名
command = /$B
time = 1

[Command]
name = "holdup"    ;必須コマンド名
command = /$U
time = 1

[Command]
name = "holddown"  ;必須コマンド名
command = /$D
time = 1

;==============================================================================
; ステートエントリーパート
;==============================================================================

[Statedef -1] ;←この行は絶対に消さないでね。必須項目です。

;==============================================================================
; 超必殺技
;==============================================================================

[State 4000,強化版・閃鞘・迷獄沙門]
type = ChangeState
value = 4000
triggerall = Statetype != A
triggerall = command = "saa_a"
triggerall = power >= 3000
triggerall = fvar(39) >= 1
trigger1 = Statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 210 || stateno = 217 || stateno = 230 || stateno = 232
trigger2 = var(3) = 1;[1,2]
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = var(3) = 1;[1,2]
trigger4 = stateno = 102
trigger4 = Animelemtime(2) >= 0

[State 3000,閃鞘・迷獄沙門]
type = ChangeState
value = 3000
triggerall = Statetype != A
triggerall = command = "sa_a"
triggerall = power >= 2000
trigger1 = Statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 210 || stateno = 217 || stateno = 230 || stateno = 232
trigger2 = var(3) = 1;[1,2]
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = var(3) = 1;[1,2]
trigger4 = stateno = 102
trigger4 = Animelemtime(2) >= 0

;------------------------------------------------------------------------------

[State 4200,閃鞘・五景崩落]
type = ChangeState
value = 4200
triggerall = Statetype != A
triggerall = command = "saa_b"
triggerall = power >= 3000
triggerall = fvar(39) >= 1
trigger1 = Statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 210 || stateno = 217 || stateno = 230 || stateno = 232
trigger2 = var(3) = 1;[1,2]
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = var(3) = 1;[1,2]
trigger4 = stateno = 102
trigger4 = Animelemtime(2) >= 0

[State 3200,閃鞘・五景崩落]
type = ChangeState
value = 3200
triggerall = Statetype != A
triggerall = command = "sa_b"
triggerall = power >= 2000
trigger1 = Statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 210 || stateno = 217 || stateno = 230 || stateno = 232
trigger2 = var(3) = 1;[1,2]
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = var(3) = 1;[1,2]
trigger4 = stateno = 102
trigger4 = Animelemtime(2) >= 0

;------------------------------------------------------------------------------

[State 3500,閃走・走蹴六兎]
type = ChangeState
value = 3500
triggerall = Statetype != A
triggerall = command = "sa_c"
triggerall = power >= 2000
trigger1 = Statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 210 || stateno = 217 || stateno = 230 || stateno = 232
trigger2 = var(3) = 1;[1,2]
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = var(3) = 1;[1,2]
trigger4 = stateno = 102
trigger4 = Animelemtime(2) >= 0

[State 4495,閃鞘・蟷螂斬首]
type = ChangeState
value = 4495
triggerall = Statetype != A
triggerall = command = "saa_c"
triggerall = power >= 3000
triggerall = fvar(39) >= 1
trigger1 = Statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 210 || stateno = 217 || stateno = 230 || stateno = 232
trigger2 = var(3) = 1;[1,2]
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = var(3) = 1;[1,2]
trigger4 = stateno = 102
trigger4 = Animelemtime(2) >= 0

;==============================================================================
; イニシアティブチャージ
;==============================================================================

;[State 6500,イニシアティブチャージ]
;type = ChangeState
;value = 6500+(Statetype=A)
;triggerall = command = "z"
;triggerall = power >= 1000
;triggerall = fvar(39) >= 2
;triggerall = fvar(32) = 0
;trigger1 = stateno = 200 || stateno = 210 || stateno = 217 || stateno = 230 || stateno = 232
;trigger1 = var(3) = [1,2]
;trigger2 = stateno = 400 || stateno = 410 || stateno = 430 || stateno = 600 || stateno = 610
;trigger2 = var(3) = [1,2]
;trigger3 = stateno = 620 || stateno = 625 || stateno = 626 || stateno = 627
;trigger3 = var(3) = [1,2]
;trigger4 = stateno = 1400
;trigger4 = Animelemtime(12) >= 0
;trigger5 = stateno = 102
;trigger5 = Animelemtime(2) >= 0

[State 6500,イニシアティブチャージ]
type = ChangeState
value = 6500+(Statetype=A)
triggerall = command = "z"
triggerall = power >= 1500
triggerall = fvar(39) >= 1
triggerall = fvar(32) = 0
trigger1 = stateno = 200 || stateno = 210 || stateno = 217 || stateno = 230 || stateno = 232
trigger1 = var(3) = [1,2]
trigger2 = stateno = 400 || stateno = 410 || stateno = 430 || stateno = 625 || stateno = 626
trigger2 = var(3) = [1,2]
trigger3 = stateno = 627
trigger3 = var(3) = [1,2]
trigger4 = stateno = 1400
trigger4 = fvar(39) >= 2
trigger4 = Animelemtime(12) >= 0

;==============================================================================
; 必殺技
;==============================================================================

[State 1020,EX昇竜]
type = ChangeState
value = 1020
triggerall = Statetype != A
triggerall = command = "upper_c"
triggerall = power >= 1000
trigger1 = Statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 210 || stateno = 217 || stateno = 230 || stateno = 232
trigger2 = var(3) = [1,2]
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = var(3) = [1,2]
trigger4 = stateno = 102
trigger4 = Animelemtime(2) >= 0

[State 1000,弱昇竜]
type = ChangeState
value = 1000
triggerall = Statetype != A
triggerall = command = "upper_a"
trigger1 = Statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 210 || stateno = 217 || stateno = 230 || stateno = 232
trigger2 = var(3) = [1,2]
trigger3 = stateno = 400 || stateno = 410 || stateno = 430 
trigger3 = var(3) = [1,2]
trigger4 = stateno = 102
trigger4 = Animelemtime(2) >= 0

[State 1010, 中昇竜]
type = ChangeState
value = 1010
triggerall = Statetype != A
triggerall = command = "upper_b"
trigger1 = Statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 210 || stateno = 217 || stateno = 230 || stateno = 232
trigger2 = var(3) = [1,2]
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = var(3) = [1,2]
trigger4 = stateno = 102
trigger4 = Animelemtime(2) >= 0

;------------------------------------------------------------------------------

[State 1330, 閃鞘・八穿]
type = ChangeState
value = 1330
triggerall = Statetype != A
triggerall = command = "bupper_c"
trigger1 = Statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 210 || stateno = 217 || stateno = 230 || stateno = 232
trigger2 = var(3) = [1,2]
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = var(3) = [1,2]
trigger4 = stateno = 102
trigger4 = Animelemtime(2) >= 0

[State 1305, 閃鞘・八穿]
type = ChangeState
value = 1305
triggerall = Statetype != A
triggerall = command = "bupper_a"
trigger1 = Statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 210 || stateno = 217 || stateno = 230 || stateno = 232
trigger2 = var(3) = [1,2]
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = var(3) = [1,2]
trigger4 = stateno = 102
trigger4 = Animelemtime(2) >= 0

[State 1300, 閃鞘・七夜]
type = ChangeState
value = 1300
triggerall = Statetype != A
triggerall = command = "bupper_b"
trigger1 = Statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 210 || stateno = 217 || stateno = 230 || stateno = 232
trigger2 = var(3) = [1,2]
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = var(3) = [1,2]
trigger4 = stateno = 102
trigger4 = Animelemtime(2) >= 0

;------------------------------------------------------------------------------

[State 1500,EX三鷹]
type = ChangeState
value = 1500
triggerall = Statetype != S
triggerall = Statetype != C
triggerall = Pos Y <= -50
triggerall = command = "QCF_c"
triggerall = power >= 1000
triggerall = fvar(14) = 0
trigger1 = Statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 610 || stateno = 620 || stateno = 1100 || stateno = 1110
trigger2 = var(3) = [1,2]
trigger3 = stateno = 102
trigger3 = Animelemtime(2) >= 0

;------------------------------------------------------------------------------

[State 1220,EX波動]
type = ChangeState
value = 1220
triggerall = Statetype != A
triggerall = command = "QCF_c"
triggerall = power >= 1000
trigger1 = Statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 210 || stateno = 217 || stateno = 230 || stateno = 232
trigger2 = var(3) = [1,2]
trigger3 = stateno = 400 || stateno = 410 || stateno = 430 || stateno = 1200 || stateno = 1210
trigger3 = var(3) = [1,2]
trigger4 = stateno = 102
trigger4 = Animelemtime(2) >= 0

[State 1200,弱波動]
type = ChangeState
value = 1200
triggerall = Statetype != A
triggerall = command = "QCF_a"
trigger1 = Statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 210 || stateno = 217 || stateno = 230 || stateno = 232
trigger2 = var(3) = [1,2]
trigger3 = stateno = 400 || stateno = 410 || stateno = 430 
trigger3 = var(3) = [1,2]
trigger4 = stateno = 102
trigger4 = Animelemtime(2) >= 0

[State 1210,中波動]
type = ChangeState
value = 1210
triggerall = Statetype != A
triggerall = command = "QCF_b"
trigger1 = Statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 210 || stateno = 217 || stateno = 230 || stateno = 232
trigger2 = var(3) = [1,2]
trigger3 = stateno = 400 || stateno = 410 || stateno = 430 
trigger3 = var(3) = [1,2]
trigger4 = stateno = 102
trigger4 = Animelemtime(2) >= 0

;------------------------------------------------------------------------------

[State -1, EX一鹿]
type = ChangeState
value = 1120
triggerall = command = "QCB_c"
triggerall = power >= 1000
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 210 || stateno = 217 || stateno = 230 || stateno = 232
trigger2 = var(3) = [1,2]
trigger3 = stateno = 400 || stateno = 410 || stateno = 430 || stateno = 1100 || stateno = 1110
trigger3 = var(3) = [1,2]
trigger4 = stateno = 102
trigger4 = Animelemtime(2) >= 0
trigger5 = stateno = 610 || stateno = 620 || stateno = 600 || Stateno = 219
trigger5 = var(3) = [1,2]

[State -1, 弱一鹿]
type = ChangeState
value = 1100
triggerall = command = "QCB_a"
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 210 || stateno = 217 || stateno = 230 || stateno = 232
trigger2 = var(3) = [1,2]
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = var(3) = [1,2]
trigger4 = stateno = 102
trigger4 = Animelemtime(2) >= 0
trigger5 = stateno = 610 || stateno = 620 || stateno = 600 || Stateno = 219
trigger5 = var(3) = [1,2]

[State -1, 中一鹿]
type = ChangeState
value = 1110
triggerall = command = "QCB_b"
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 210 || stateno = 217 || stateno = 230 || stateno = 232
trigger2 = var(3) = [1,2]
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = var(3) = [1,2]
trigger4 = stateno = 102
trigger4 = Animelemtime(2) >= 0
trigger5 = stateno = 610 || stateno = 620 || stateno = 600 || Stateno = 219
trigger5 = var(3) = [1,2]

;------------------------------------------------------------------------------

[State 1400,閃走・水月弱]
type = ChangeState
value = 1400
triggerall = Statetype != A
triggerall = command = "DD_a"
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 210 || stateno = 217 || stateno = 230 || stateno = 232
trigger2 = var(3) = [1,2]
trigger3 = stateno = 400 || stateno = 410 || stateno = 430 || stateno = 215
trigger3 = var(3) = [1,2]
trigger4 = stateno = 102
trigger4 = Animelemtime(2) >= 0

[State 1410,閃走・水月中]
type = ChangeState
value = 1410
triggerall = Statetype != A
triggerall = command = "DD_b"
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 210 || stateno = 217 || stateno = 230 || stateno = 232
trigger2 = var(3) = [1,2]
trigger3 = stateno = 400 || stateno = 410 || stateno = 430 || stateno = 215
trigger3 = var(3) = [1,2]
trigger4 = stateno = 102
trigger4 = Animelemtime(2) >= 0

[State 1420,閃走・水月強]
type = ChangeState
value = 1420
triggerall = Statetype != A
triggerall = command = "DD_c"
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 210 || stateno = 217 || stateno = 230 || stateno = 232
trigger2 = var(3) = [1,2]
trigger3 = stateno = 400 || stateno = 410 || stateno = 430 || stateno = 215
trigger3 = var(3) = [1,2]
trigger4 = stateno = 102
trigger4 = Animelemtime(2) >= 0

;------------------------------------------------------------------------------

[State 980,落下キャンセル]
type = ChangeState
value = 980
triggerall = Statetype = A
triggerall = Statetype != S
triggerall = Statetype != C
triggerall = command = "DD"
trigger1 = ctrl
trigger2 = stateno = 1011
trigger2 = Animelemtime(3) >= 0
trigger3 = stateno = 110 || stateno = 115
trigger3 = var(3) = [1,2]

;==============================================================================
; シールドバンカー
;==============================================================================

[State  2050,屈みシールドバンカー]
type = ChangeState
value = 2050
triggerall = Statetype != A
triggerall = command = "holddown"
triggerall = command = "x"
triggerall = power >= 1000
triggerall = fvar(20) = 0
trigger1 = stateno = [152,153]

[State  2000,立ちシールドバンカー]
type = ChangeState
value = 2000
triggerall = Statetype != A
triggerall = command != "holddown"
triggerall = command = "x"
triggerall = power >= 1000
triggerall = fvar(20) = 0
trigger1 = stateno = [150,151]

[State  2050,屈みシールドバンカー]
type = ChangeState
value = 2050
triggerall = Statetype != A
triggerall = command = "holddown"
triggerall = command = "x"
triggerall = power >= 500
triggerall = fvar(20) >= 1
trigger1 = stateno = [152,153]

[State  2000,立ちシールドバンカー]
type = ChangeState
value = 2000
triggerall = Statetype != A
triggerall = command != "holddown"
triggerall = command = "x"
triggerall = power >= 500
triggerall = fvar(20) >= 1
trigger1 = stateno = [150,151]

;==============================================================================
; 移動関連
;==============================================================================
;------------------------------------------------------------------------------

[State -1, ハイジャンプ]
type = ChangeState
value = 60
triggerall = statetype != A
trigger1 = ctrl
trigger1 = command = "high"
trigger1 = Var(8) = [1,10]
trigger2 = Stateno = 200 || Stateno = 210 || Stateno = 217 || Stateno = 230 || Stateno = 232
trigger2 = var(3) = [1,2]
trigger2 = command = "high"
trigger2 = Var(8) = [1,10]
trigger3 = Stateno = 400 || Stateno = 410 || Stateno = 430 || Stateno = 219
trigger3 = var(3) = [1,2]
trigger3 = command = "high"
trigger3 = Var(8) = [1,10]
trigger4 = Stateno = 215
trigger4 = var(3) = [1,2]
trigger4 = command = "holdup"

[State -1,ジャンプキャンセル]
type = ChangeState
value = 40
triggerall = command = "holdup"
triggerall = Statetype != A
trigger1 = Stateno = 200 || Stateno = 210 || Stateno = 217 || Stateno = 230 || Stateno = 232
trigger1 = var(3) = [1,2]
trigger2 = Stateno = 400 || Stateno = 410 || Stateno = 430 || Stateno = 219
trigger2 = var(3) = [1,2]

[State -1,ﾄﾞｩﾄﾞｩﾄﾞｩﾄﾞｩﾄﾞｩﾄﾞｩﾄﾞｩﾄﾞｩﾄﾞｩｴ]
type = ChangeState
value = 10020
triggerall = Fvar(37) != 0
triggerall = command = "FF"
triggerall = Statetype != A
trigger1 = Ctrl
trigger2 = Stateno = 200 || Stateno = 210 || Stateno = 217 || Stateno = 230 || Stateno = 232
trigger2 = var(3) = [1,2]
trigger3 = Stateno = 400 || Stateno = 410 || Stateno = 430 || Stateno = 219
trigger3 = var(3) = [1,2]

[State -1,ﾄﾞｩﾄﾞｩﾄﾞｩﾄﾞｩﾄﾞｩﾄﾞｩﾄﾞｩﾄﾞｩﾄﾞｩｴ]
type = ChangeState
value = 10021
triggerall = Fvar(37) != 0
triggerall = command = "BB"
triggerall = Statetype != A
trigger1 = Ctrl
trigger2 = Stateno = 200 || Stateno = 210 || Stateno = 217 || Stateno = 230 || Stateno = 232
trigger2 = var(3) = [1,2]
trigger3 = Stateno = 400 || Stateno = 410 || Stateno = 430 || Stateno = 219
trigger3 = var(3) = [1,2]

[State -1, 走る]
type = ChangeState
value = 100
triggerall = Fvar(37) = 0
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, バックステップ]
type = ChangeState
value = 105
triggerall = Fvar(37) = 0
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, 空中ダッシュ]
type = ChangeState
value = 110
triggerall = command = "FF"
triggerall = statetype = A
triggerall = Var(1) = 0;(Var(1)が0であること)
trigger1 = ctrl
trigger2 = Stateno = [600,620]
trigger2 = Var(3) = [1,3]
trigger2 = command = "FF"

[State -1, 空中バックダッシュ]
type = ChangeState
value = 115
triggerall = command = "BB"
triggerall = Var(1) = 0;(Var(1)が0であること)
triggerall = statetype = A
trigger1 = ctrl
trigger2 = Stateno = [600,620]
trigger2 = Var(3) = [1,3]
trigger2 = command = "BB"

;==============================================================================
; 特殊技
;==============================================================================
;------------------------------------------------------------------------------

[State -1];地上投げ
type = ChangeState
value = 800
triggerall = command = "y"
triggerall = statetype = S
triggerall = statetype != A
triggerall = ctrl
trigger1 = command = "holdfwd"
trigger1 = p2bodydist X < 30
trigger1 = p2statetype != A
trigger1 = p2movetype != H
trigger2 = command = "holdback"
trigger2 = p2bodydist X < 30
trigger2 = p2statetype != A
trigger2 = p2movetype != H

;------------------------------------------------------------------------------

[State -1];空中投げ
type = ChangeState
value = 825
triggerall = command = "y"
triggerall = statetype = A
trigger1 = ctrl
trigger1 = command = "holdfwd"
trigger1 = p2bodydist X < 10
trigger1 = p2statetype = A
trigger2 = stateno = 610 || stateno = 620 || stateno = 600 || Stateno = 219
trigger2 = var(3) = [1,2]

;==============================================================================
; 通常攻撃技
;==============================================================================
;------------------------------------------------------------------------------

[State -1, 立ち5弱]
type = ChangeState
value = 200
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = var(3) = [1,2]
trigger3 = stateno = 210 || stateno = 217 || stateno = 230
trigger3 = var(3) = [1,2]
trigger3 = var(5)%10 = 0
trigger4 = stateno = 232 || stateno = 400 || stateno = 410 || stateno = 430
trigger4 = var(3) = [1,2]
trigger4 = var(5)%10 = 0
trigger5 = stateno = 102
trigger5 = Animelemtime(2) >= 0

[State -1, 立ち5中]
type = ChangeState
value = 210
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = command != "holdback"
triggerall = command != "holdfwd"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 217 || stateno = 230
trigger2 = var(3) = [1,2]
trigger2 = var(5)/10%10 = 0
trigger3 = stateno = 232 || stateno = 400 || stateno = 410 || stateno = 430
trigger3 = var(3) = [1,2]
trigger3 = var(5)/10%10 = 0
trigger4 = stateno = 102
trigger4 = Animelemtime(2) >= 0


[State -1, 5中切り上げ]
type = ChangeState
value = 215
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = command != "holdback"
triggerall = command != "holdfwd"
triggerall = stateno = 210
trigger1 = Animelemtime(6) >= 0

[State -1, 立ち4中]
type = ChangeState
value = 219
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = command = "holdback"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 210 || stateno = 217 || stateno = 230
trigger2 = var(3) = [1,2]
trigger2 = var(5)/100%10 = 0
trigger3 = stateno = 232 || stateno = 400 || stateno = 410 || stateno = 430
trigger3 = var(3) = [1,2]
trigger3 = var(5)/100%10 = 0
trigger4 = stateno = 102
trigger4 = Animelemtime(2) >= 0

[State -1, 立ち6中]
type = ChangeState
value = 217
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = command = "holdfwd"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 210 || stateno = 230
trigger2 = var(3) = [1,2]
trigger2 = var(5)/1000%10 = 0
trigger3 = stateno = 232 || stateno = 400 || stateno = 410 || stateno = 430
trigger3 = var(3) = [1,2]
trigger3 = var(5)/1000%10 = 0
trigger4 = stateno = 102
trigger4 = Animelemtime(2) >= 0

[State -1, 立ち5強]
type = ChangeState
value = 230
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = command != "holdback"
triggerall = command != "holdfwd"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 210 || stateno = 217
trigger2 = var(3) = [1,2]
trigger2 = var(5)/10000%10 = 0
trigger3 = stateno = 232 || stateno = 400 || stateno = 410 || stateno = 430
trigger3 = var(3) = [1,2]
trigger3 = var(5)/10000%10 = 0
trigger4 = stateno = 102
trigger4 = Animelemtime(2) >= 0

[State -1, 立ち6強]
type = ChangeState
value = 232
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = command = "holdfwd"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 210 || stateno = 217
trigger2 = var(3) = [1,2]
trigger2 = Var(5)/100000%10 = 0
trigger3 = stateno = 230 || stateno = 400 || stateno = 410 || stateno = 430
trigger3 = var(3) = [1,2]
trigger3 = Var(5)/100000%10 = 0
trigger4 = stateno = 102
trigger4 = Animelemtime(2) >= 0

;------------------------------------------------------------------------------

[State -1, 挑発]
type = ChangeState
value = 195
triggerall = command = "start"
trigger1 = statetype != A
trigger1 = ctrl

;------------------------------------------------------------------------------

[State -1, しゃがみ弱]
type = ChangeState
value = 400
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 400
trigger2 = var(3) = [1,2]
trigger3 = stateno = 200 || stateno = 210 || stateno = 217
trigger3 = var(3) = [1,2]
trigger3 = var(6)%10 = 0
trigger4 = stateno = 230 || stateno = 232 || stateno = 410 || stateno = 430
trigger4 = var(3) = [1,2]
trigger4 = var(6)%10 = 0
trigger5 = stateno = 102
trigger5 = Animelemtime(2) >= 0

[State -1, しゃがみ中]
type = ChangeState
value = 410
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 210 || stateno = 217
trigger2 = var(3) = [1,2]
trigger2 = var(6)/10%10 = 0
trigger3 = stateno = 230 || stateno = 232 || stateno = 400 || stateno = 430
trigger3 = var(3) = [1,2]
trigger3 = var(6)/10%10 = 0
trigger4 = stateno = 102
trigger4 = Animelemtime(2) >= 0

[State -1, しゃがみ強]
type = ChangeState
value = 430
triggerall = command = "c"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 210 || stateno = 217
trigger2 = var(3) = [1,2]
trigger2 = Var(6)/100%10 = 0
trigger3 = stateno = 230 || stateno = 232 || stateno = 400 || stateno = 410
trigger3 = var(3) = [1,2]
trigger3 = Var(6)/100%10 = 0
trigger4 = stateno = 102
trigger4 = Animelemtime(2) >= 0

;------------------------------------------------------------------------------

[State -1, ジャンプ弱]
type = ChangeState
value = 600
triggerall = command != "holddown"
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600
trigger2 = var(3) = [1,2]
trigger3 = stateno = 610 || stateno = 620 || Stateno = 219
trigger3 = var(3) = [1,2]
trigger3 = var(7)%10 = 0

[State -1, ジャンプ中]
type = ChangeState
value = 610
triggerall = command != "holddown"
triggerall = command = "b"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 620 || Stateno = 219
trigger2 = var(3) = [1,2]
trigger2 = var(7)/10%10 = 0

[State -1, ジャンプ強]
type = ChangeState
value = 620
triggerall = command != "holddown"
triggerall = command = "c"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 610 || Stateno = 219
trigger2 = var(3) = [1,2]
trigger2 = var(7)/100%10 = 0

[State -1, 悪いね弱]
type = ChangeState
value = 625
triggerall = command = "holddown"
triggerall = command = "a"
trigger1 = Pos Y <= -50
trigger1 = statetype = A
trigger1 = ctrl

[State -1, 悪いね中]
type = ChangeState
value = 626
triggerall = command = "holddown"
triggerall = command = "b"
trigger1 = Pos Y <= -50
trigger1 = statetype = A
trigger1 = ctrl

[State -1, 悪いね強]
type = ChangeState
value = 627
triggerall = command = "holddown"
triggerall = command = "c"
trigger1 = Pos Y <= -50
trigger1 = statetype = A
trigger1 = ctrl

;------------------------------------------------------------------------------

[State -1,空中ジャンプ]
type = ChangeState
value = 46
triggerall = command != "holddown"
triggerall = Statetype = A
triggerall = Var(2) = 0
trigger1 = Var(4) = 1
trigger1 = ctrl
trigger1 = Pos Y <= -20
trigger2 = Stateno = [600,620]
trigger2 = Var(3) = [1,3]
trigger2 = command = "holdup"
trigger3 = Stateno = 1011
trigger3 = Var(3) = [1,3]
trigger3 = command = "holdup"

;------------------------------------------------------------------------------
